Update a brand

Updates a brand by the given id.

put
Path parameters
idstringRequired

The id of the brand.

Header parameters
Brand-URLstringRequired

The brand URL of the request. This is used to identify the brand.

Example: YOUR_BRAND_URL
Auth-KeystringRequired

Auth-Key is required to authenticate the request. If missing, the server will return 401 Unauthorized.

Example: YOUR_AUTH_KEY
Body
namestring · min: 1Required

The name of the Brand.

abbrstring · min: 1Required

This is the abbreviation of the Brand.

descriptionstring · nullableOptional

The description of the Brand.

tagsstring · nullableOptional

The tags of the Brand.

Responses
chevron-right
200

The request was successful.

application/json

This provides interfaces for API responses with data.

successbooleanRead-onlyRequired

This is the flag to indicate whether the API call is successful or not.

statusCodeinteger · int32Read-onlyRequired

This is the HTTP status code. This is used to determine the status code to be returned to the client.

messagestring · min: 1Read-onlyRequired

This is the message to be displayed to the user.

databooleanRead-onlyOptional

This is the data to be returned to the client.

put
/api/v1/brands/{id}

Last updated